Subject: draft-ietf-v6ops-nat64-pb-statement-req-0: DNS semantics

From: marcelo bagnulo braun <[email-masked]>
Date: Fri, 25 Jul 2008 17:58:48 +0200

Hi,

in the current draft we have:

R4: DNS semantics preservation
Any modifications to DNS responses associated with translation MUST NOT 
violate standard DNS semantics.  This includes in particular that a DNS 
response (that has been modified by the translator mechanism) should not 
be invalid if it ends up in the wrong context, i.e. traversing a non 
expected part of the topology.

Question: this can be achieved of v6 intiated communications, but hardly 
can be the case for v4 intiated connections...

Regards, marcelo